#### Description:

A MocChan is a specialised form of Channel which supports the reading and writing of AST Moc objects as text, using the conventions of the JSON and string encodings described in the IVOA`’` s MOC recommendation, version 1.1. Writing a Moc to a MocChan (using astWrite) will, if the Moc is suitable, generate a textual description of that Moc, and reading from a MocChan will create a new Moc from its textual description. See the Moc class for further information.

Normally, when you use a MocChan, you should provide `"` source`"` and `"` sink`"` functions which connect it to an external data store by reading and writing the resulting text. These functions should perform any conversions needed between external character encodings and the internal ASCII encoding. If no such functions are supplied, a Channel will read from standard input and write to standard output.

Alternatively, a MocChan can be told to read or write from specific text files using the SinkFile and SourceFile attributes, in which case no sink or source function need be supplied.

#### Constructor Function

astMocChan

#### Inheritance

The MocChan class inherits from the Channel class.

#### Attributes

In addition to those attributes common to all Channels, every MocChan also has the following attributes:

- MocFormat: Whether to use JSON or string format

- MocLineLen: Controls output buffer length

#### Functions

The MocChan class does not define any new functions beyond those which are applicable to all Channels.
Copyright (C) 2021 East Asian Observatory